be.fgov.ehealth.hubservices.core.v1

## Class DeclareTransactionRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v1.DeclareTransactionRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:42:39+01:00",
                 comments="JAXB RI v2.3.7")
      public class DeclareTransactionRequest
      extends Object
      implements Serializable

  Java class for DeclareTransactionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DeclareTransactionRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v1}RequestType"/>
               <element name="kmehrheader" type="{http://www.ehealth.fgov.be/hubservices/core/v1}KmehrHeaderDeclareTransactionType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeclareTransactionRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `KmehrHeaderDeclareTransaction` | `getKmehrheader()` Gets the value of the kmehrheader property.
    `RequestType` | `getRequest()` Gets the value of the request property.
    `void` | `setKmehrheader(KmehrHeaderDeclareTransaction value)` Sets the value of the kmehrheader property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeclareTransactionRequest

          public DeclareTransactionRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getKmehrheader

          public KmehrHeaderDeclareTransaction getKmehrheader()

      Gets the value of the kmehrheader property.
      Returns:
        possible object is `KmehrHeaderDeclareTransaction`

    - #### setKmehrheader

          public void setKmehrheader(KmehrHeaderDeclareTransaction value)

      Sets the value of the kmehrheader property.
      Parameters:
        `value` - allowed object is `KmehrHeaderDeclareTransaction`

Connector Package PERSMIDWIFE 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.